Package org.drinkless.tdlib

# Class TdApi.GroupCallParticipants

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallParticipants

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallParticipants extends TdApi.Object
Contains identifiers of group call participants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender[]`
  `participantIds`
  Identifiers of the participants.
  `int`
  `totalCount`
  Total number of group call participants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallParticipants()`
  Contains identifiers of group call participants.
  `GroupCallParticipants(int totalCount, TdApi.MessageSender[] participantIds)`
  Contains identifiers of group call participants.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Total number of group call participants.

  - ### participantIds

    public TdApi.MessageSender[] participantIds
    Identifiers of the participants.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallParticipants

    public GroupCallParticipants()
    Contains identifiers of group call participants.

  - ### GroupCallParticipants

    public GroupCallParticipants(int totalCount, TdApi.MessageSender[] participantIds)
    Contains identifiers of group call participants.
    Parameters:
      `totalCount` - Total number of group call participants.
      `participantIds` - Identifiers of the participants.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR